Loading...
Searching...
No Matches
Opm::WellConstraints< Scalar, IndexTraits > Class Template Reference

Class for computing well group constraints. More...

`#include <WellConstraints.hpp>`

## Public Types

using | RateConvFunc

## Public Member Functions

| WellConstraints (const WellInterfaceGeneric< Scalar, IndexTraits > &well)
| Constructor sets reference to well.
bool | checkIndividualConstraints (SingleWellState< Scalar, IndexTraits > &ws, const SummaryState &summaryState, const RateConvFunc &calcReservoirVoidageRates, bool &thp_limit_violated_but_not_switched, DeferredLogger &deferred_logger, const std::optional< Well::InjectionControls > &inj_controls=std::nullopt, const std::optional< Well::ProductionControls > &prod_controls=std::nullopt) const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::WellConstraints< Scalar, IndexTraits >

Class for computing well group constraints.

## Member Typedef Documentation

## RateConvFunc

template<typename Scalar, typename IndexTraits>

using Opm::WellConstraints< Scalar, IndexTraits >::RateConvFunc

Initial value:
std::function<void(const RegionId, const int,
const std::vector<Scalar>&,
std::vector<Scalar>&)>

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellConstraints.hpp
- opm/simulators/wells/WellConstraints.cpp